@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

html{
    scroll-behavior:smooth;
}

body{
    background:#0e0e0e;
    color:white;
}

header{
    position:fixed;
    width:100%;
    top:0;
    z-index:1000;
    background:rgba(0,0,0,.7);
    backdrop-filter:blur(10px);
}

.navbar{
    max-width:1200px;
    margin:auto;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:20px;
}

.logo{
    font-size:1.5rem;
    font-weight:700;
    color:#c89b3c;
}

.logo i{
    margin-right:10px;
}

.nav-links{
    display:flex;
    list-style:none;
    gap:30px;
}

.nav-links a{
    color:white;
    text-decoration:none;
    transition:.3s;
}

.nav-links a:hover{
    color:#c89b3c;
}

.hero{
    height:100vh;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
    background:
    linear-gradient(rgba(0,0,0,.6),rgba(0,0,0,.6)),
    url('https://images.unsplash.com/photo-1622286342621-4bd786c2447c?auto=format&fit=crop&w=1600&q=80');
    background-size:cover;
    background-position:center;
}

.hero h1{
    font-size:4rem;
    margin-bottom:20px;
}

.hero p{
    max-width:600px;
    margin:auto;
}

.btn{
    display:inline-block;
    margin-top:30px;
    padding:15px 35px;
    background:#c89b3c;
    color:black;
    text-decoration:none;
    border-radius:50px;
    font-weight:600;
}

.stats{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    text-align:center;
    padding:80px 20px;
}

.stat h2{
    color:#c89b3c;
    font-size:3rem;
}

.services,
.about,
.gallery,
.reviews,
.contact{
    padding:100px 20px;
}

.section-title{
    text-align:center;
    margin-bottom:50px;
    font-size:2.5rem;
}

.services-grid,
.reviews-grid{
    max-width:1200px;
    margin:auto;
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
    gap:30px;
}

.card,
.review{
    background:#181818;
    padding:30px;
    border-radius:20px;
    transition:.3s;
}

.card:hover{
    transform:translateY(-10px);
}

.card i{
    color:#c89b3c;
    font-size:3rem;
    margin-bottom:20px;
}

.about{
    text-align:center;
}

.gallery-grid{
    max-width:1200px;
    margin:auto;
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
}

.gallery-grid div{
    height:250px;
    border-radius:20px;
    background:#1d1d1d;
}

.gallery-grid div img{
    height: 100%;
    width: 100%;
    border-radius:20px;
}

.contact-container{
    max-width:1000px;
    margin:auto;
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:40px;
}

form{
    display:flex;
    flex-direction:column;
    gap:15px;
}

input,
button{
    padding:15px;
    border:none;
    border-radius:10px;
}

button{
    background:#c89b3c;
    cursor:pointer;
    font-weight:600;
}

footer{
    text-align:center;
    padding:30px;
    background:#111;
}

.burger{
    display:none;
    font-size:1.5rem;
    cursor:pointer;
}

.reveal{
    opacity:0;
    transform:translateY(50px);
    transition:1s;
}

.reveal.active{
    opacity:1;
    transform:translateY(0);
}

@media(max-width:768px){

    .burger{
        display:block;
    }

    .nav-links{
        position:absolute;
        top:80px;
        left:-100%;
        width:100%;
        background:#111;
        flex-direction:column;
        text-align:center;
        padding:30px;
        transition:.3s;
    }

    .nav-links.active{
        left:0;
    }

    .hero h1{
        font-size:2.5rem;
    }

    .stats{
        grid-template-columns:1fr;
        gap:30px;
    }

    .gallery-grid{
        grid-template-columns:1fr 1fr;
    }

    .contact-container{
        grid-template-columns:1fr;
    }
}